Create a user
POST
/api/v1/account/users
Creates a new user. If roles are not provided, the user is assigned the read-only role by default.
Authorizations
Section titled “ Authorizations ”Request Bodyrequired
Section titled “ Request Bodyrequired ” Media type application/json
object
email
required
Email address of the new user
string
firstName
required
First name of the new user
string
lastName
required
Last name of the new user
string
title
required
Job title of the new user
string
roles
Roles to assign to the user. Defaults to read-only if not provided.
Array<string>
mfaEnabled
Whether MFA should be enabled for the user
boolean
Example
{ "email": "john.doe@example.com", "firstName": "John", "lastName": "Doe", "title": "Compliance Officer", "roles": [ "read-only" ], "mfaEnabled": false}Responses
Section titled “ Responses ”User created
Media type application/json
object
id
required
Unique identifier of the user
string
email
required
Email address of the new user
string
firstName
required
First name of the new user
string
lastName
required
Last name of the new user
string
title
required
Job title of the new user
string
roles
required
Roles assigned to the new user
Array<string>
Example
{ "id": "507f1f77bcf86cd799439011", "email": "john.doe@example.com", "firstName": "John", "lastName": "Doe", "title": "Compliance Officer", "roles": [ "read-only" ]}